#!/bin/sh
. /opt/kelvpn/sbin/kelvpn_func.sh

tun_name="tun0"
tun_ip=`ip address show | grep $tun_name | grep inet | awk '{print $2;}'| sed 's/\/.*//'`

if [ "$tun_ip" ]; then
    log_it_debug "tun0 ip address detected as $tun_ip. Trying to ping... "
    if ping -n -W 2 -c 2 -q  $tun_ip>> /dev/null; then
	log_it_debug "$tun_ip is pingable"
	if /opt/kelvpn/sbin/kelvpn_check_inet.sh; then
	    exit 0
	else
	    exit $?
	fi
    else
	log_it_debug "Can't ping $tun_ip"
	exit 2
    fi
else
    log_it_debug "There is no tunnel \"$tun_name\" with assigned ip address "
    exit 1
fi
